# Uses of Enum
com.databricks.jdbc.common.StatementType

Packages that use StatementType
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift
com.databricks.jdbc.model.telemetry

## Uses of StatementType in com.databricks.jdbc.api.impl

Constructors in com.databricks.jdbc.api.impl with parameters of type StatementType
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, StatementType statementType, IDatabricksStatementInternal parentStatement, IExecutionResult executionResult, DatabricksResultSetMetaData resultSetMetaData, boolean complexDatatypeSupport)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, TFetchResultsResp resultsResp, StatementType statementType, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<ColumnMetadata> columnMetadataList, List<List<Object>> rows, StatementType statementType)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, int[] columnTypes, int[] columnTypePrecisions, int[] isNullables, Object[][] rows, StatementType statementType)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, List<Integer> columnTypes, List<Integer> columnTypePrecisions, List<Nullable> columnNullables, List<List<Object>> rows, StatementType statementType)`

## Uses of StatementType in com.databricks.jdbc.common

Subclasses with type arguments of type StatementType in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`StatementType`
Methods in com.databricks.jdbc.common that return StatementType
Modifier and Type
Method
Description
`static StatementType`
StatementType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StatementType[]`
StatementType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of StatementType in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return StatementType
Modifier and Type
Method
Description
`static StatementType`
DatabricksThreadContextHolder.`getStatementType()`
Methods in com.databricks.jdbc.common.util with parameters of type StatementType
Modifier and Type
Method
Description
`static void`
DatabricksThreadContextHolder.`setStatementType(StatementType statementType)`

## Uses of StatementType in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient with parameters of type StatementType
Modifier and Type
Method
Description
`DatabricksResultSet`
IDatabricksClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server

## Uses of StatementType in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec with parameters of type StatementType
Modifier and Type
Method
Description
`DatabricksResultSet`
DatabricksSdkClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of StatementType in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift with parameters of type StatementType
Modifier and Type
Method
Description
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of StatementType in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry with parameters of type StatementType
Modifier and Type
Method
Description
`SqlExecutionEvent`
SqlExecutionEvent.`setDriverStatementType(StatementType driverStatementType)`